无冬之夜无法运行(问题已解决!)

游戏讨论
回复
kozzen
帖子: 10
注册时间: 2007-11-16 21:31
送出感谢: 0
接收感谢: 0
联系:

无冬之夜无法运行(问题已解决!)

#1

帖子 kozzen » 2008-10-24 7:55

7.10的时候我搞好显卡驱动,按照官方方法安装无冬之夜可以顺利运行。升级到8.04以后因为迟迟没有搞定显卡驱动,也一直没注意到。直到前几天用AMD最新8.10驱动终于成功安装了,于是又想到把无冬之夜拿出来装。安装过程照旧,一直到
./fixinstall
这一步还完全正常,终端显示:
You are ready to run Neverwinter Nights.
接着就出问题,我
./nwn
之后,终端最终停在了以下这句上:
nwmain: ../../src/xcb_lock.c:77: _XGetXCBBuffer: Assertion `((int) ((xcb_req) - (dpy->request)) >= 0)' failed.
我对这条错误提示进行了搜索,搜索引擎返回的结果都是在别的软件运行时出现的,几乎和这里一模一样的提示,只是最前面的主语不是nwnmain,还有那个xcb_lock.c后面的数字也不一定是77。因此我怀疑,这是我的系统缺点什么东西导致的,我在搜索引擎上找到的那些别的软件的出现此错误的解决方法都是特定的而非通用的。所以,我也只好求助于论坛了,有谁见过这条提示的?知道怎么解决么?谢谢!
kozzen
帖子: 10
注册时间: 2007-11-16 21:31
送出感谢: 0
接收感谢: 0
联系:

Re: 无冬之夜无法运行(问题已解决!)

#2

帖子 kozzen » 2008-10-24 8:27

原来出现这个情况时,把nwn目录下的lib目录整个删除就可以运行了~~
头像
luojie-dune
帖子: 22033
注册时间: 2007-07-30 18:28
系统: Linux
来自: 空气中
送出感谢: 9 次
接收感谢: 61 次

Re: 无冬之夜无法运行(问题已解决!)

#3

帖子 luojie-dune » 2008-10-24 8:45

因为原来的lib太老了?
『这个世界都是我的 ,我爱你们』

ENTP ⥂ INTP ⥄ INFP ⇦ INTJ

在此发布的文章使用 Creative Commons Attribution-ShareAlike 4.0 协议
回复

回到 “游戏和游戏模拟器”